#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	PerlIO
%define		pnam	utf8_strict
Summary:	PerlIO::utf8_strict - fast and correct UTF-8 I/O
Summary(pl.UTF-8):	PerlIO::utf8_strict - szybkie i poprawne we/wy UTF-8
Name:		perl-%{pdir}-%{pnam}
Version:	0.010
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/PerlIO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d90ca967f66e05ad9221c79060868346
URL:		https://metacpan.org/dist/PerlIO-utf8_strict
%if %{with tests}
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a fast and correct UTF-8 PerlIO layer. Unlike
Perl's default :utf8 layer it checks the input for correctness.

%description -l pl.UTF-8
Ten moduł zapewnia warstwę PerlIO do szybkiego i poprawnego UTF-8. W
przeciwieństwie do domyślnej warstwy :utf8 Perla, sprawdza wejście pod
kątem poprawności.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/PerlIO/utf8_strict.pm
%dir %{perl_vendorarch}/auto/PerlIO/utf8_strict
%attr(755,root,root) %{perl_vendorarch}/auto/PerlIO/utf8_strict/utf8_strict.so
%{_mandir}/man3/PerlIO::utf8_strict.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PerlIO-utf8_strict.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 01ff82f
- perl 5.38.0 rebuild

* Fri Feb 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 27e4ff4
- updated to 0.010

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 669e471
- perl 5.36.0 rebuild

* Wed Jun 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 24030ff
- updated to 0.009, pl

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> f07e758
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 94f4ec4
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> afe57bb
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 5db944a
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> f99b59f
- up to 0.007

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> d480d9d
- rebuild with perl 5.28.0
- release 7 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6a6db6d
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 748f0d0
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> ede3af8
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7d07dbe
- release 3 (by relup.sh)

* Mon Mar 23 2015 Jan Rękorajski <baggins@pld-linux.org> 8ab9be9
- fix package name
- rel 2

* Mon Mar 23 2015 Jan Rękorajski <baggins@pld-linux.org> dbb67ce
- new

